petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetOptionsPrefix

Gets the prefix used for searching for all TAO options in the database

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetOptionsPrefix(Tao tao, const char *p[])

Not Collective Many br

### Input Parameters

tao -the Tao context Many br

### Output Parameters

prefix -pointer to the prefix string used is returned Many br

Notes: On the fortran side, the user should pass in a string 'prefix' of Many brsufficient length to hold the prefix. Many br

Many br

### See Also

TaoSetOptionsPrefix(), TaoAppendOptionsPrefix()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages